Subject: pine deadlocked?

From: Matt Ackeret <[email-masked]>
Date: Tue, 18 Nov 2003 10:49:16 -0800 (PST)

So the first time I started up pine this morning, it ended up hung.
The status wasn't "spinning", nothing.. I left it for many minutes longer than
it normally took.

Then I sampled it.  I can't repro this, but I've seen it a few times.  I think
it's deadlocked, but I'm not sure.  Starting it up again was very
fast.

This is pine 4.55 on Mac OS X.

Analysis of sampling pid 459 every 10.000000 milliseconds
Call graph:
    573 Thread_110b
      573 start
        573 _start
          573 main
            573 do_broach_folder
              573 process_filter_patterns
                573 calculate_some_scores
                  573 match_pattern
                    573 mail_search_full
                      573 imap_search
                        573 mail_search_default
                          573 mail_search_msg
                            573 mail_search_msg
                              573 mail_search_msg
                                573 mail_search_msg
                                  573 mail_search_msg
                                    573 mail_fetch_structure
                                      573 imap_structure
                                        573 imap_send
                                          573 imap_sout
                                            573 net_sout
                                              573 tcp_sout
                                                573 mm_log
                                                  573 localtime
                                                    573 tzsetwall_basic
                                                      573 notify_check_tz
                                                        573 notify_check
                                                          573 token_table_find
                                                            573 0x900fb428
                                                              573 _sigtramp
                                                                573 alarm_signal
                                                                  573 debugjournal
                                                                    573 add_review_message
                                                                      573 debug_time
                                                                        573 ctime
                                                                          573 localtime
                                                                            573 tzsetwall_basic
                                                                              573 notify_check_tz
                                                                                573 notify_check
                                                                                  573 token_table_find
                                                                                    573 pthread_mutex_lock
                                                                                      573 semaphore_wait_signal_trap
                                                                                        573 semaphore_wait_signal_trap

Total number in stack (recursive counted multiple, when >=5):
        5       mail_search_msg

Sort by top of stack, same collapsed (when >= 5):
        semaphore_wait_signal_trap        573

-- 
top-posting: It's just a bad idea.
-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------